/*
 * SPDX-FileCopyrightText: 2023 Sven J. Grewe <svengrewe@posteo.de>
 *
 * SPDX-License-Identifier: CC0-1.0
 */


/* Links */
a{
  color: rgba(255, 255, 255, .80);
  text-decoration: none;
  animation-name: mrcursor-out;
  animation-duration: 0.3s;
  text-decoration-line: underline;
}
a:hover{
  animation-name: mrcursor-in;
  animation-duration: 0.3s;
  color: white;
}
/* Link color animation */
@keyframes mrcursor-in{
  from {color: rgba(255, 255, 255, .80);}
  to {color: white;}
}
@keyframes mrcursor-out{
  from {color: white;}
  to {color: rgba(255, 255, 255, .80);}
}

/* for the background image */
html{
  background-image: url('images/background.jpg');
  background-size: cover; /* see most of the image */
  background-repeat: no-repeat; /* and don't repeat */
  background-color: rgba(50, 50, 50, 255); /* variant of gray */
  min-height: 100%;
}

body{
  text-align: center; /* centre almost anything */
  font-family: sans-serif;
  color: rgba(255, 255, 255, .80);
  padding-top: 7em;
}

#content {
  padding: 16px 0;
  background: rgba(0, 0, 0, 0.5);
}

.download_image{
  padding-top: 1.7em;
  padding-bottom: 1em;
}

.download_image > a > img {
  width: 64px;
  height: 64px;
  padding: 24px;
  border: 2px solid #ce0058;
  border-radius: 64px;
}
.download_image > a:hover > img {
  border: 2px solid #fff;
}

.row{
  padding: 40px;
  padding-top: 1.5em;
  justify-content: center;
  display: flex;
}
.column{
  float: left;
  padding: 10px;
}
.row::after{
  content: "";
  clear: both;
  display: table;
}

/* Fade-in animation */
@keyframes first{
  from {opacity: 0;}
  to   {opacity: 1;}
}
@keyframes second{
  0%   {opacity: 0; padding-left: 50vw;}
  30%   {opacity: 0; padding-left: 50vw;}
  100% {opacity: 1;}
}
.top-fade-in{
  animation-name: first;
  animation-duration: 2s;
}
.bottom-fade-in{
  animation-name: second;
  animation-duration: 2s;
}

/* It's like a button */
.donate-button{
  width: 8em;
  height: 2em;
  letter-spacing: 0.15em;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 0.5em;
  border: 0.13em solid;
  border-color: rgba(255, 255, 255, .5);
  text-transform: uppercase; /* BIG TEXT */
  padding-top:    0.5em;
  padding-left:     1.4em;
  padding-right:    1.4em;
  padding-bottom: 0.5em;
  font-size: 0.8em; /* Li'l bit smaller */
  text-decoration-line: none;
}
